/**
 * Play musique with arduino
 * @author Florent Lemaire
 */

#include "pitches.h" // musique
#define speakerPin 3

/*
 * Some musics 
 */
// notes in the melody:
int melodyOk[] = {
  NOTE_C4, NOTE_G3, NOTE_G3, NOTE_A3, NOTE_G3, 0, NOTE_B3, NOTE_C4
};

// note durations: 4 = quarter note, 8 = eighth note, etc.:
int noteDurationsOk[] = {
  4, 8, 8, 4, 4, 4, 4, 4
};

int melodyKo[] = {
  NOTE_C4, NOTE_G3, NOTE_C4, NOTE_G3
};

// note durations: 4 = quarter note, 8 = eighth note, etc.:
int noteDurationsKo[] = {
  2, 2, 2, 2, 2
};

/*
 * code
 */

void playMusic(int melody[], int noteDurations[]) {
  for (int thisNote = 0; thisNote < 8; thisNote++) {

    // to calculate the note duration, take one second divided by the note type.
    //e.g. quarter note = 1000 / 4, eighth note = 1000/8, etc.
    int noteDuration = 1000 / noteDurations[thisNote];
    tone(speakerPin, melody[thisNote], noteDuration);

    // to distinguish the notes, set a minimum time between them.
    // the note's duration + 30% seems to work well:
    int pauseBetweenNotes = noteDuration * 1.30;
    delay(pauseBetweenNotes);
    // stop the tone playing:
    noTone(speakerPin);
  }
}

void setup() {
  pinMode(speakerPin, OUTPUT);

}

void loop() {
  delay(5000);
    playMusic(melodyOk, noteDurationsOk);
  delay(5000);
    playMusic(melodyKo, noteDurationsKo);
}
